VOS_OFFLINE(1)

NAME
vos_offline - Takes a volume offline

SYNOPSIS
vos offline -server <machine name>
    -partition <partition name>
    -id <volume name or ID>
    [-sleep <seconds to sleep>]
    [-busy] [-cell <cell name>]
    [-noauth] -localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos of -se <machine name>
    -p <partition name>
    -i <volume name or ID>
    [-sl <seconds to sleep>]
    [-b] [-c <cell name>]
    [-noa] -l]
    [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos offline command takes a volume offline on the fileserver.

CAUTIONS
Taking a volume offline that has existing callbacks will result in those callbacks being broken and clients not being able to access the volume.

OPTIONS

-server <machine name>
    Identifies the file server machine where the volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition where the volume resides, on the file server machine named by the -server argument. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-id <volume name or ID>
    Specifies either the complete name or volume ID number of the volume.

-sleep <seconds to sleep>
    Specifies to sleep for a certain number of seconds after taking the volume offline before bringing it online again. If this option is specified, the volume will be online when vos offline successfully completes. If this option is not specified, vos online must be run to bring the volume online.

-busy
    Specifies to mark the volume as `busy' instead of `offline'. This means that a program trying to access this volume will receive a VBUSY error instead of a VOFFLINE error (until the volume is brought back online).

    Different programs may react differently when they see these two different states, but in general a `busy' volume is only unavailable for a short period of time and will become online soon. An `offline' volume, on the other hand, is typically unavailable for longer periods and may not come back online until an administrator intervenes.

    As an example of when these states occur normally, a volume can be `busy' when it is being cloned (perhaps as the result of a vos backup or vos release operation). A volume can be `offline' if a non-DAFS fileserver has detected a problem in the volume, and an administrator must manually schedule a salvage for that volume before it becomes available again.

    If -busy is specified, the -sleep option must also be specified, to indicate for how long to keep the volume busy.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example takes an online volume offline:

   % vos offline -server sv7.example.org -partition /vicepb -id root.afs

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_online(1), bos_salvage(8),

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This man page was created by Steven Jenkins.